The new PSE10 is here. So, everyone wants to know whether or not their Topaz plug-ins will be compatible with the new Photoshop Elements 10?

The answer…YES! All of your Topaz plug-ins will be compatible with PSE10 as is – no updates are needed.

Once you download and install PSE10 (available from the Adobe website) you will need to move your Topaz plug-in files over.

If you don’t know how to move your plug-in files I have written some steps to quickly walk you through the process. (It’s pretty simple and should take less than 3 minutes) Learn how here.

Should you find any issues with Topaz or Photoshop Elements and need to reinstall (or any other questions) just contact our customer support and we can help you.

Once you’ve installed the new PSE and played around with the new features be sure to let me know which ones are your favorites! I love the social media integration! 🙂

Share this
Share on Facebook0Tweet about this on TwitterShare on Google+0Pin on Pinterest0Share on LinkedIn0Share on Reddit0Share on Tumblr0Email this to someonePrint this page